/*
  AUDIO extension
  (c) 2007 Helge Bahmann <hcb@chaoticmind.net>
  see the file COPYING for terms of redistribution
 */

#ifndef __X11_EXTENSIONS_AUDIO_H
#define __X11_EXTENSIONS_AUDIO_H

#define SAMPLE_FORMAT_SIGNED_8		0
#define SAMPLE_FORMAT_SIGNED_16		1
#define SAMPLE_FORMAT_FIXED_16_16	2
#define SAMPLE_FORMAT_IEEE754_SINGLE	3
#define SAMPLE_FORMAT_FLOAT SAMPLE_FORMAT_IEEE754_SINGLE

#define XAUDIO_PCM_DEVICE_TYPE_PLAYBACK 0
#define XAUDIO_PCM_DEVICE_TYPE_CAPTURE 1

#define XAUDIO_MONO 1
#define XAUDIO_STEREO 2
typedef unsigned int ChannelLayout;

#define XaudioVirtualPCMStart 1
#define XaudioVirtualPCMStop 2
#define XaudioVirtualPCMDestroy 3

#endif
